<?php

namespace Crm\Category;

use Crm\Category\Models\Category;


class Category
{
    /**
     * $category object.
     */
    protected $category;

    /**
     * Constructor.
     */
    public function __construct()
    {
        $this->category = app(Category::class);
    }

    /**
     * Returns count of category.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Find category by slug.
     *
     * @param array $filter
     *
     * @return int
     */
    public function category($slug)
    {
        return  $this->category
            ->findBySlug($slug)
            ->toArray();
    }
}
